Package: org.grails.web.taglib

## [Java] Class WebRequestTemplateVariableBinding

- org.grails.web.taglib.WebRequestTemplateVariableBinding

- Script binding to be used as the top-level binding in GSP evaluation.

  Authors:
    Lari Hotari

- - ### Constructor Summary

    Constructors
    Constructor and description
    `WebRequestTemplateVariableBinding (GrailsWebRequest webRequest)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `groovy.lang.Binding` | `findBindingForVariable(java.lang.String name)`
    `` | `java.lang.Object` | `getVariable(java.lang.String name)`
    `` | `java.util.Set<java.lang.String>` | `getVariableNames()`
    `` | `boolean` | `isRequestAttributeVariable(java.lang.String name)`
    `` | `boolean` | `isVariableCachingAllowed(java.lang.String name)`
    `` | `protected java.lang.Object` | `resolveMissingVariable(java.lang.String name)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractTemplateVariableBinding` | `addMap, findBindingForVariable, getVariableNames, getVariables, getVariablesMap, internalSetVariable, isVariableCachingAllowed, setVariableDirectly`
    `class groovy.lang.Binding` | `groovy.lang.Binding#getVariable(java.lang.String), groovy.lang.Binding#setVariable(java.lang.String, java.lang.Object), groovy.lang.Binding#getVariables(), groovy.lang.Binding#hasVariable(java.lang.String), groovy.lang.Binding#setProperty(java.lang.String, java.lang.Object), groovy.lang.Binding#getProperty(java.lang.String), groovy.lang.Binding#getMetaClass(), groovy.lang.Binding#setMetaClass(groovy.lang.MetaClass), groovy.lang.Binding#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.Binding#wait(long, int), groovy.lang.Binding#wait(long), groovy.lang.Binding#wait(), groovy.lang.Binding#equals(java.lang.Object), groovy.lang.Binding#toString(), groovy.lang.Binding#hashCode(), groovy.lang.Binding#getClass(), groovy.lang.Binding#notify(), groovy.lang.Binding#notifyAll()`

- - ### Constructor Detail

    - #### public WebRequestTemplateVariableBinding(GrailsWebRequest webRequest)

  - ### Method Detail

    - #### public groovy.lang.Binding findBindingForVariable(java.lang.String name)

    - #### @java.lang.Override public java.lang.Object getVariable(java.lang.String name)

    - #### @java.lang.SuppressWarnings("unchecked") @java.lang.Override public java.util.Set<java.lang.String> getVariableNames()

    - #### public boolean isRequestAttributeVariable(java.lang.String name)

    - #### public boolean isVariableCachingAllowed(java.lang.String name)

    - #### protected java.lang.Object resolveMissingVariable(java.lang.String name)